package com.bonus.canteen.core.account.v3.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;

@TableName("acc_pay_frozen_detail")
@ApiModel("账户支付冻结详情表")
public class AccPayFrozenDetail implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   private Integer id;
   private Integer walletId;
   private BigDecimal amount;
   private Long ordId;

   public Integer getId() {
      return this.id;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public void setId(final Integer id) {
      this.id = id;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }
}
